1. Packages
  2. Packages
  3. Volcenginecc Provider
  4. API Docs
  5. tos
  6. getBucketMirrorBack
Viewing docs for volcenginecc v0.0.50
published on Monday, Jul 20, 2026 by Volcengine
volcenginecc logo
Viewing docs for volcenginecc v0.0.50
published on Monday, Jul 20, 2026 by Volcengine

    Data Source schema for Volcengine::TOS::BucketMirrorBack

    Using getBucketMirrorBack

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getBucketMirrorBack(args: GetBucketMirrorBackArgs, opts?: InvokeOptions): Promise<GetBucketMirrorBackResult>
    function getBucketMirrorBackOutput(args: GetBucketMirrorBackOutputArgs, opts?: InvokeOptions): Output<GetBucketMirrorBackResult>
    def get_bucket_mirror_back(id: Optional[str] = None,
                               opts: Optional[InvokeOptions] = None) -> GetBucketMirrorBackResult
    def get_bucket_mirror_back_output(id: pulumi.Input[Optional[str]] = None,
                               opts: Optional[InvokeOptions] = None) -> Output[GetBucketMirrorBackResult]
    func LookupBucketMirrorBack(ctx *Context, args *LookupBucketMirrorBackArgs, opts ...InvokeOption) (*LookupBucketMirrorBackResult, error)
    func LookupBucketMirrorBackOutput(ctx *Context, args *LookupBucketMirrorBackOutputArgs, opts ...InvokeOption) LookupBucketMirrorBackResultOutput

    > Note: This function is named LookupBucketMirrorBack in the Go SDK.

    public static class GetBucketMirrorBack 
    {
        public static Task<GetBucketMirrorBackResult> InvokeAsync(GetBucketMirrorBackArgs args, InvokeOptions? opts = null)
        public static Output<GetBucketMirrorBackResult> Invoke(GetBucketMirrorBackInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetBucketMirrorBackResult> getBucketMirrorBack(GetBucketMirrorBackArgs args, InvokeOptions options)
    public static Output<GetBucketMirrorBackResult> getBucketMirrorBack(GetBucketMirrorBackArgs args, InvokeOptions options)
    
    fn::invoke:
      function: volcenginecc:tos/getBucketMirrorBack:getBucketMirrorBack
      arguments:
        # arguments dictionary
    data "volcenginecc_tos_get_bucket_mirror_back" "name" {
        # arguments
    }

    The following arguments are supported:

    Id string
    Uniquely identifies the resource.
    Id string
    Uniquely identifies the resource.
    id string
    Uniquely identifies the resource.
    id String
    Uniquely identifies the resource.
    id string
    Uniquely identifies the resource.
    id str
    Uniquely identifies the resource.
    id String
    Uniquely identifies the resource.

    getBucketMirrorBack Result

    The following output properties are available:

    Bucket string
    Bucket name requiring origin fetch rule configuration.
    Id string
    Uniquely identifies the resource.
    Rules List<Volcengine.GetBucketMirrorBackRule>
    Array of origin fetch policy rules.
    Bucket string
    Bucket name requiring origin fetch rule configuration.
    Id string
    Uniquely identifies the resource.
    Rules []GetBucketMirrorBackRule
    Array of origin fetch policy rules.
    bucket string
    Bucket name requiring origin fetch rule configuration.
    id string
    Uniquely identifies the resource.
    rules list(object)
    Array of origin fetch policy rules.
    bucket String
    Bucket name requiring origin fetch rule configuration.
    id String
    Uniquely identifies the resource.
    rules List<GetBucketMirrorBackRule>
    Array of origin fetch policy rules.
    bucket string
    Bucket name requiring origin fetch rule configuration.
    id string
    Uniquely identifies the resource.
    rules GetBucketMirrorBackRule[]
    Array of origin fetch policy rules.
    bucket str
    Bucket name requiring origin fetch rule configuration.
    id str
    Uniquely identifies the resource.
    rules Sequence[GetBucketMirrorBackRule]
    Array of origin fetch policy rules.
    bucket String
    Bucket name requiring origin fetch rule configuration.
    id String
    Uniquely identifies the resource.
    rules List<Property Map>
    Array of origin fetch policy rules.

    Supporting Types

    GetBucketMirrorBackRule

    Condition Volcengine.GetBucketMirrorBackRuleCondition
    Conditions that trigger the back-to-origin function.
    Id string
    Rule ID. The unique identifier for the back-to-origin rule configured on the current bucket. You can set this yourself to distinguish between multiple rules. Restrictions: Characters supported: letters, numbers, - and _. Maximum length: 32 characters.
    Redirect Volcengine.GetBucketMirrorBackRuleRedirect
    Back-to-origin redirect configuration.
    Condition GetBucketMirrorBackRuleCondition
    Conditions that trigger the back-to-origin function.
    Id string
    Rule ID. The unique identifier for the back-to-origin rule configured on the current bucket. You can set this yourself to distinguish between multiple rules. Restrictions: Characters supported: letters, numbers, - and _. Maximum length: 32 characters.
    Redirect GetBucketMirrorBackRuleRedirect
    Back-to-origin redirect configuration.
    condition object
    Conditions that trigger the back-to-origin function.
    id string
    Rule ID. The unique identifier for the back-to-origin rule configured on the current bucket. You can set this yourself to distinguish between multiple rules. Restrictions: Characters supported: letters, numbers, - and _. Maximum length: 32 characters.
    redirect object
    Back-to-origin redirect configuration.
    condition GetBucketMirrorBackRuleCondition
    Conditions that trigger the back-to-origin function.
    id String
    Rule ID. The unique identifier for the back-to-origin rule configured on the current bucket. You can set this yourself to distinguish between multiple rules. Restrictions: Characters supported: letters, numbers, - and _. Maximum length: 32 characters.
    redirect GetBucketMirrorBackRuleRedirect
    Back-to-origin redirect configuration.
    condition GetBucketMirrorBackRuleCondition
    Conditions that trigger the back-to-origin function.
    id string
    Rule ID. The unique identifier for the back-to-origin rule configured on the current bucket. You can set this yourself to distinguish between multiple rules. Restrictions: Characters supported: letters, numbers, - and _. Maximum length: 32 characters.
    redirect GetBucketMirrorBackRuleRedirect
    Back-to-origin redirect configuration.
    condition GetBucketMirrorBackRuleCondition
    Conditions that trigger the back-to-origin function.
    id str
    Rule ID. The unique identifier for the back-to-origin rule configured on the current bucket. You can set this yourself to distinguish between multiple rules. Restrictions: Characters supported: letters, numbers, - and _. Maximum length: 32 characters.
    redirect GetBucketMirrorBackRuleRedirect
    Back-to-origin redirect configuration.
    condition Property Map
    Conditions that trigger the back-to-origin function.
    id String
    Rule ID. The unique identifier for the back-to-origin rule configured on the current bucket. You can set this yourself to distinguish between multiple rules. Restrictions: Characters supported: letters, numbers, - and _. Maximum length: 32 characters.
    redirect Property Map
    Back-to-origin redirect configuration.

    GetBucketMirrorBackRuleCondition

    AllowHosts List<string>
    Supports triggering origin fetch only for specified domains. The domain must be able to access the bucket; it is recommended to use a custom domain bound to the bucket. Limit: supports up to 30 domains.
    HttpCode int
    Error code that triggers origin fetch. When a download request returns this error code, origin fetch is triggered. Limit: currently only supports 404.
    HttpMethods List<string>
    Request types that trigger back-to-origin. Value description: ["GET","HEAD"]: Both GetObject and HeadObject requests can trigger back-to-origin. ["GET"]: Only GetObject requests can trigger back-to-origin. Default is ["GET"].
    KeyPrefix string
    Object name prefix for matching origin fetch objects. Limit: supports up to 512 characters.
    KeySuffix string
    Object name suffix for matching origin fetch objects. Limit: supports up to 512 characters.
    AllowHosts []string
    Supports triggering origin fetch only for specified domains. The domain must be able to access the bucket; it is recommended to use a custom domain bound to the bucket. Limit: supports up to 30 domains.
    HttpCode int
    Error code that triggers origin fetch. When a download request returns this error code, origin fetch is triggered. Limit: currently only supports 404.
    HttpMethods []string
    Request types that trigger back-to-origin. Value description: ["GET","HEAD"]: Both GetObject and HeadObject requests can trigger back-to-origin. ["GET"]: Only GetObject requests can trigger back-to-origin. Default is ["GET"].
    KeyPrefix string
    Object name prefix for matching origin fetch objects. Limit: supports up to 512 characters.
    KeySuffix string
    Object name suffix for matching origin fetch objects. Limit: supports up to 512 characters.
    allow_hosts list(string)
    Supports triggering origin fetch only for specified domains. The domain must be able to access the bucket; it is recommended to use a custom domain bound to the bucket. Limit: supports up to 30 domains.
    http_code number
    Error code that triggers origin fetch. When a download request returns this error code, origin fetch is triggered. Limit: currently only supports 404.
    http_methods list(string)
    Request types that trigger back-to-origin. Value description: ["GET","HEAD"]: Both GetObject and HeadObject requests can trigger back-to-origin. ["GET"]: Only GetObject requests can trigger back-to-origin. Default is ["GET"].
    key_prefix string
    Object name prefix for matching origin fetch objects. Limit: supports up to 512 characters.
    key_suffix string
    Object name suffix for matching origin fetch objects. Limit: supports up to 512 characters.
    allowHosts List<String>
    Supports triggering origin fetch only for specified domains. The domain must be able to access the bucket; it is recommended to use a custom domain bound to the bucket. Limit: supports up to 30 domains.
    httpCode Integer
    Error code that triggers origin fetch. When a download request returns this error code, origin fetch is triggered. Limit: currently only supports 404.
    httpMethods List<String>
    Request types that trigger back-to-origin. Value description: ["GET","HEAD"]: Both GetObject and HeadObject requests can trigger back-to-origin. ["GET"]: Only GetObject requests can trigger back-to-origin. Default is ["GET"].
    keyPrefix String
    Object name prefix for matching origin fetch objects. Limit: supports up to 512 characters.
    keySuffix String
    Object name suffix for matching origin fetch objects. Limit: supports up to 512 characters.
    allowHosts string[]
    Supports triggering origin fetch only for specified domains. The domain must be able to access the bucket; it is recommended to use a custom domain bound to the bucket. Limit: supports up to 30 domains.
    httpCode number
    Error code that triggers origin fetch. When a download request returns this error code, origin fetch is triggered. Limit: currently only supports 404.
    httpMethods string[]
    Request types that trigger back-to-origin. Value description: ["GET","HEAD"]: Both GetObject and HeadObject requests can trigger back-to-origin. ["GET"]: Only GetObject requests can trigger back-to-origin. Default is ["GET"].
    keyPrefix string
    Object name prefix for matching origin fetch objects. Limit: supports up to 512 characters.
    keySuffix string
    Object name suffix for matching origin fetch objects. Limit: supports up to 512 characters.
    allow_hosts Sequence[str]
    Supports triggering origin fetch only for specified domains. The domain must be able to access the bucket; it is recommended to use a custom domain bound to the bucket. Limit: supports up to 30 domains.
    http_code int
    Error code that triggers origin fetch. When a download request returns this error code, origin fetch is triggered. Limit: currently only supports 404.
    http_methods Sequence[str]
    Request types that trigger back-to-origin. Value description: ["GET","HEAD"]: Both GetObject and HeadObject requests can trigger back-to-origin. ["GET"]: Only GetObject requests can trigger back-to-origin. Default is ["GET"].
    key_prefix str
    Object name prefix for matching origin fetch objects. Limit: supports up to 512 characters.
    key_suffix str
    Object name suffix for matching origin fetch objects. Limit: supports up to 512 characters.
    allowHosts List<String>
    Supports triggering origin fetch only for specified domains. The domain must be able to access the bucket; it is recommended to use a custom domain bound to the bucket. Limit: supports up to 30 domains.
    httpCode Number
    Error code that triggers origin fetch. When a download request returns this error code, origin fetch is triggered. Limit: currently only supports 404.
    httpMethods List<String>
    Request types that trigger back-to-origin. Value description: ["GET","HEAD"]: Both GetObject and HeadObject requests can trigger back-to-origin. ["GET"]: Only GetObject requests can trigger back-to-origin. Default is ["GET"].
    keyPrefix String
    Object name prefix for matching origin fetch objects. Limit: supports up to 512 characters.
    keySuffix String
    Object name suffix for matching origin fetch objects. Limit: supports up to 512 characters.

    GetBucketMirrorBackRuleRedirect

    FetchHeaderToMetaDataRules List<Volcengine.GetBucketMirrorBackRuleRedirectFetchHeaderToMetaDataRule>
    List of rules for writing origin response headers to object metadata.
    FetchSourceOnRedirect bool
    Whether to fetch data from the configured origin after redirection. Value description: true: Fetch data from the configured origin after redirection. false: Do not fetch data from the configured origin after redirection.
    FetchSourceOnRedirectWithQuery bool
    Whether to include request parameters when fetching data after redirection. If not configured, inherits PassQuery settings: true: includes request parameters. false: does not include request parameters.
    FollowRedirect bool
    If the result of mirror origin fetch is 3xx, whether to continue redirecting to the specified Location to fetch data. Value description: true: TOS will continue to request the address corresponding to Location. false: TOS will return 302.
    MirrorHeader Volcengine.GetBucketMirrorBackRuleRedirectMirrorHeader
    Specify the headers to include when mirroring back to origin.
    PassHeaderFromSources List<string>
    List of origin response headers allowed to be passed through directly.
    PassQuery bool
    Whether to include request parameters when performing redirect or mirror back-to-origin rules. Value description: true: Include request parameters. false: Do not include request parameters.
    PassStatusCodeFromSources List<int>
    List of origin response status codes allowed to be passed through directly.
    PrivateSource Volcengine.GetBucketMirrorBackRuleRedirectPrivateSource
    Back-to-origin address configuration when the origin server is a private bucket.
    PublicSource Volcengine.GetBucketMirrorBackRuleRedirectPublicSource
    Back-to-origin address configuration when the origin server is a public bucket.
    RedirectType string
    Specify redirect type. Value range: Mirror: Mirror origin fetch. Async: Redirect origin fetch.
    Transform Volcengine.GetBucketMirrorBackRuleRedirectTransform
    Define transformations for the object name when requesting the origin server.
    FetchHeaderToMetaDataRules []GetBucketMirrorBackRuleRedirectFetchHeaderToMetaDataRule
    List of rules for writing origin response headers to object metadata.
    FetchSourceOnRedirect bool
    Whether to fetch data from the configured origin after redirection. Value description: true: Fetch data from the configured origin after redirection. false: Do not fetch data from the configured origin after redirection.
    FetchSourceOnRedirectWithQuery bool
    Whether to include request parameters when fetching data after redirection. If not configured, inherits PassQuery settings: true: includes request parameters. false: does not include request parameters.
    FollowRedirect bool
    If the result of mirror origin fetch is 3xx, whether to continue redirecting to the specified Location to fetch data. Value description: true: TOS will continue to request the address corresponding to Location. false: TOS will return 302.
    MirrorHeader GetBucketMirrorBackRuleRedirectMirrorHeader
    Specify the headers to include when mirroring back to origin.
    PassHeaderFromSources []string
    List of origin response headers allowed to be passed through directly.
    PassQuery bool
    Whether to include request parameters when performing redirect or mirror back-to-origin rules. Value description: true: Include request parameters. false: Do not include request parameters.
    PassStatusCodeFromSources []int
    List of origin response status codes allowed to be passed through directly.
    PrivateSource GetBucketMirrorBackRuleRedirectPrivateSource
    Back-to-origin address configuration when the origin server is a private bucket.
    PublicSource GetBucketMirrorBackRuleRedirectPublicSource
    Back-to-origin address configuration when the origin server is a public bucket.
    RedirectType string
    Specify redirect type. Value range: Mirror: Mirror origin fetch. Async: Redirect origin fetch.
    Transform GetBucketMirrorBackRuleRedirectTransform
    Define transformations for the object name when requesting the origin server.
    fetch_header_to_meta_data_rules list(object)
    List of rules for writing origin response headers to object metadata.
    fetch_source_on_redirect bool
    Whether to fetch data from the configured origin after redirection. Value description: true: Fetch data from the configured origin after redirection. false: Do not fetch data from the configured origin after redirection.
    fetch_source_on_redirect_with_query bool
    Whether to include request parameters when fetching data after redirection. If not configured, inherits PassQuery settings: true: includes request parameters. false: does not include request parameters.
    follow_redirect bool
    If the result of mirror origin fetch is 3xx, whether to continue redirecting to the specified Location to fetch data. Value description: true: TOS will continue to request the address corresponding to Location. false: TOS will return 302.
    mirror_header object
    Specify the headers to include when mirroring back to origin.
    pass_header_from_sources list(string)
    List of origin response headers allowed to be passed through directly.
    pass_query bool
    Whether to include request parameters when performing redirect or mirror back-to-origin rules. Value description: true: Include request parameters. false: Do not include request parameters.
    pass_status_code_from_sources list(number)
    List of origin response status codes allowed to be passed through directly.
    private_source object
    Back-to-origin address configuration when the origin server is a private bucket.
    public_source object
    Back-to-origin address configuration when the origin server is a public bucket.
    redirect_type string
    Specify redirect type. Value range: Mirror: Mirror origin fetch. Async: Redirect origin fetch.
    transform object
    Define transformations for the object name when requesting the origin server.
    fetchHeaderToMetaDataRules List<GetBucketMirrorBackRuleRedirectFetchHeaderToMetaDataRule>
    List of rules for writing origin response headers to object metadata.
    fetchSourceOnRedirect Boolean
    Whether to fetch data from the configured origin after redirection. Value description: true: Fetch data from the configured origin after redirection. false: Do not fetch data from the configured origin after redirection.
    fetchSourceOnRedirectWithQuery Boolean
    Whether to include request parameters when fetching data after redirection. If not configured, inherits PassQuery settings: true: includes request parameters. false: does not include request parameters.
    followRedirect Boolean
    If the result of mirror origin fetch is 3xx, whether to continue redirecting to the specified Location to fetch data. Value description: true: TOS will continue to request the address corresponding to Location. false: TOS will return 302.
    mirrorHeader GetBucketMirrorBackRuleRedirectMirrorHeader
    Specify the headers to include when mirroring back to origin.
    passHeaderFromSources List<String>
    List of origin response headers allowed to be passed through directly.
    passQuery Boolean
    Whether to include request parameters when performing redirect or mirror back-to-origin rules. Value description: true: Include request parameters. false: Do not include request parameters.
    passStatusCodeFromSources List<Integer>
    List of origin response status codes allowed to be passed through directly.
    privateSource GetBucketMirrorBackRuleRedirectPrivateSource
    Back-to-origin address configuration when the origin server is a private bucket.
    publicSource GetBucketMirrorBackRuleRedirectPublicSource
    Back-to-origin address configuration when the origin server is a public bucket.
    redirectType String
    Specify redirect type. Value range: Mirror: Mirror origin fetch. Async: Redirect origin fetch.
    transform GetBucketMirrorBackRuleRedirectTransform
    Define transformations for the object name when requesting the origin server.
    fetchHeaderToMetaDataRules GetBucketMirrorBackRuleRedirectFetchHeaderToMetaDataRule[]
    List of rules for writing origin response headers to object metadata.
    fetchSourceOnRedirect boolean
    Whether to fetch data from the configured origin after redirection. Value description: true: Fetch data from the configured origin after redirection. false: Do not fetch data from the configured origin after redirection.
    fetchSourceOnRedirectWithQuery boolean
    Whether to include request parameters when fetching data after redirection. If not configured, inherits PassQuery settings: true: includes request parameters. false: does not include request parameters.
    followRedirect boolean
    If the result of mirror origin fetch is 3xx, whether to continue redirecting to the specified Location to fetch data. Value description: true: TOS will continue to request the address corresponding to Location. false: TOS will return 302.
    mirrorHeader GetBucketMirrorBackRuleRedirectMirrorHeader
    Specify the headers to include when mirroring back to origin.
    passHeaderFromSources string[]
    List of origin response headers allowed to be passed through directly.
    passQuery boolean
    Whether to include request parameters when performing redirect or mirror back-to-origin rules. Value description: true: Include request parameters. false: Do not include request parameters.
    passStatusCodeFromSources number[]
    List of origin response status codes allowed to be passed through directly.
    privateSource GetBucketMirrorBackRuleRedirectPrivateSource
    Back-to-origin address configuration when the origin server is a private bucket.
    publicSource GetBucketMirrorBackRuleRedirectPublicSource
    Back-to-origin address configuration when the origin server is a public bucket.
    redirectType string
    Specify redirect type. Value range: Mirror: Mirror origin fetch. Async: Redirect origin fetch.
    transform GetBucketMirrorBackRuleRedirectTransform
    Define transformations for the object name when requesting the origin server.
    fetch_header_to_meta_data_rules Sequence[GetBucketMirrorBackRuleRedirectFetchHeaderToMetaDataRule]
    List of rules for writing origin response headers to object metadata.
    fetch_source_on_redirect bool
    Whether to fetch data from the configured origin after redirection. Value description: true: Fetch data from the configured origin after redirection. false: Do not fetch data from the configured origin after redirection.
    fetch_source_on_redirect_with_query bool
    Whether to include request parameters when fetching data after redirection. If not configured, inherits PassQuery settings: true: includes request parameters. false: does not include request parameters.
    follow_redirect bool
    If the result of mirror origin fetch is 3xx, whether to continue redirecting to the specified Location to fetch data. Value description: true: TOS will continue to request the address corresponding to Location. false: TOS will return 302.
    mirror_header GetBucketMirrorBackRuleRedirectMirrorHeader
    Specify the headers to include when mirroring back to origin.
    pass_header_from_sources Sequence[str]
    List of origin response headers allowed to be passed through directly.
    pass_query bool
    Whether to include request parameters when performing redirect or mirror back-to-origin rules. Value description: true: Include request parameters. false: Do not include request parameters.
    pass_status_code_from_sources Sequence[int]
    List of origin response status codes allowed to be passed through directly.
    private_source GetBucketMirrorBackRuleRedirectPrivateSource
    Back-to-origin address configuration when the origin server is a private bucket.
    public_source GetBucketMirrorBackRuleRedirectPublicSource
    Back-to-origin address configuration when the origin server is a public bucket.
    redirect_type str
    Specify redirect type. Value range: Mirror: Mirror origin fetch. Async: Redirect origin fetch.
    transform GetBucketMirrorBackRuleRedirectTransform
    Define transformations for the object name when requesting the origin server.
    fetchHeaderToMetaDataRules List<Property Map>
    List of rules for writing origin response headers to object metadata.
    fetchSourceOnRedirect Boolean
    Whether to fetch data from the configured origin after redirection. Value description: true: Fetch data from the configured origin after redirection. false: Do not fetch data from the configured origin after redirection.
    fetchSourceOnRedirectWithQuery Boolean
    Whether to include request parameters when fetching data after redirection. If not configured, inherits PassQuery settings: true: includes request parameters. false: does not include request parameters.
    followRedirect Boolean
    If the result of mirror origin fetch is 3xx, whether to continue redirecting to the specified Location to fetch data. Value description: true: TOS will continue to request the address corresponding to Location. false: TOS will return 302.
    mirrorHeader Property Map
    Specify the headers to include when mirroring back to origin.
    passHeaderFromSources List<String>
    List of origin response headers allowed to be passed through directly.
    passQuery Boolean
    Whether to include request parameters when performing redirect or mirror back-to-origin rules. Value description: true: Include request parameters. false: Do not include request parameters.
    passStatusCodeFromSources List<Number>
    List of origin response status codes allowed to be passed through directly.
    privateSource Property Map
    Back-to-origin address configuration when the origin server is a private bucket.
    publicSource Property Map
    Back-to-origin address configuration when the origin server is a public bucket.
    redirectType String
    Specify redirect type. Value range: Mirror: Mirror origin fetch. Async: Redirect origin fetch.
    transform Property Map
    Define transformations for the object name when requesting the origin server.

    GetBucketMirrorBackRuleRedirectFetchHeaderToMetaDataRule

    MetaDataSuffix string
    Suffix appended when writing object metadata.
    SourceHeader string
    Origin response header name.
    MetaDataSuffix string
    Suffix appended when writing object metadata.
    SourceHeader string
    Origin response header name.
    meta_data_suffix string
    Suffix appended when writing object metadata.
    source_header string
    Origin response header name.
    metaDataSuffix String
    Suffix appended when writing object metadata.
    sourceHeader String
    Origin response header name.
    metaDataSuffix string
    Suffix appended when writing object metadata.
    sourceHeader string
    Origin response header name.
    meta_data_suffix str
    Suffix appended when writing object metadata.
    source_header str
    Origin response header name.
    metaDataSuffix String
    Suffix appended when writing object metadata.
    sourceHeader String
    Origin response header name.

    GetBucketMirrorBackRuleRedirectMirrorHeader

    PassAll bool
    Whether to forward all HTTP headers to the origin. Values: true: forwards all HTTP headers to the origin. false: does not forward all HTTP headers to the origin. The following HTTP header types are not supported for forwarding: Host, Content-Length, Date, Authorization.
    Passes List<string>
    Pass the specified headers to the origin server. Limit: up to 64.
    Removes List<string>
    Prohibit forwarding specified headers to the origin. Limit: maximum 64.
    Sets List<Volcengine.GetBucketMirrorBackRuleRedirectMirrorHeaderSet>
    List of request headers to add or overwrite during origin fetch.
    PassAll bool
    Whether to forward all HTTP headers to the origin. Values: true: forwards all HTTP headers to the origin. false: does not forward all HTTP headers to the origin. The following HTTP header types are not supported for forwarding: Host, Content-Length, Date, Authorization.
    Passes []string
    Pass the specified headers to the origin server. Limit: up to 64.
    Removes []string
    Prohibit forwarding specified headers to the origin. Limit: maximum 64.
    Sets []GetBucketMirrorBackRuleRedirectMirrorHeaderSet
    List of request headers to add or overwrite during origin fetch.
    pass_all bool
    Whether to forward all HTTP headers to the origin. Values: true: forwards all HTTP headers to the origin. false: does not forward all HTTP headers to the origin. The following HTTP header types are not supported for forwarding: Host, Content-Length, Date, Authorization.
    passes list(string)
    Pass the specified headers to the origin server. Limit: up to 64.
    removes list(string)
    Prohibit forwarding specified headers to the origin. Limit: maximum 64.
    sets list(object)
    List of request headers to add or overwrite during origin fetch.
    passAll Boolean
    Whether to forward all HTTP headers to the origin. Values: true: forwards all HTTP headers to the origin. false: does not forward all HTTP headers to the origin. The following HTTP header types are not supported for forwarding: Host, Content-Length, Date, Authorization.
    passes List<String>
    Pass the specified headers to the origin server. Limit: up to 64.
    removes List<String>
    Prohibit forwarding specified headers to the origin. Limit: maximum 64.
    sets List<GetBucketMirrorBackRuleRedirectMirrorHeaderSet>
    List of request headers to add or overwrite during origin fetch.
    passAll boolean
    Whether to forward all HTTP headers to the origin. Values: true: forwards all HTTP headers to the origin. false: does not forward all HTTP headers to the origin. The following HTTP header types are not supported for forwarding: Host, Content-Length, Date, Authorization.
    passes string[]
    Pass the specified headers to the origin server. Limit: up to 64.
    removes string[]
    Prohibit forwarding specified headers to the origin. Limit: maximum 64.
    sets GetBucketMirrorBackRuleRedirectMirrorHeaderSet[]
    List of request headers to add or overwrite during origin fetch.
    pass_all bool
    Whether to forward all HTTP headers to the origin. Values: true: forwards all HTTP headers to the origin. false: does not forward all HTTP headers to the origin. The following HTTP header types are not supported for forwarding: Host, Content-Length, Date, Authorization.
    passes Sequence[str]
    Pass the specified headers to the origin server. Limit: up to 64.
    removes Sequence[str]
    Prohibit forwarding specified headers to the origin. Limit: maximum 64.
    sets Sequence[GetBucketMirrorBackRuleRedirectMirrorHeaderSet]
    List of request headers to add or overwrite during origin fetch.
    passAll Boolean
    Whether to forward all HTTP headers to the origin. Values: true: forwards all HTTP headers to the origin. false: does not forward all HTTP headers to the origin. The following HTTP header types are not supported for forwarding: Host, Content-Length, Date, Authorization.
    passes List<String>
    Pass the specified headers to the origin server. Limit: up to 64.
    removes List<String>
    Prohibit forwarding specified headers to the origin. Limit: maximum 64.
    sets List<Property Map>
    List of request headers to add or overwrite during origin fetch.

    GetBucketMirrorBackRuleRedirectMirrorHeaderSet

    Key string
    Request header name.
    Value string
    Request header value.
    Key string
    Request header name.
    Value string
    Request header value.
    key string
    Request header name.
    value string
    Request header value.
    key String
    Request header name.
    value String
    Request header value.
    key string
    Request header name.
    value string
    Request header value.
    key str
    Request header name.
    value str
    Request header value.
    key String
    Request header name.
    value String
    Request header value.

    GetBucketMirrorBackRuleRedirectPrivateSource

    SourceEndpoint Volcengine.GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpoint
    Back-to-origin address configuration when the origin server is a private bucket.
    SourceEndpoint GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpoint
    Back-to-origin address configuration when the origin server is a private bucket.
    source_endpoint object
    Back-to-origin address configuration when the origin server is a private bucket.
    sourceEndpoint GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpoint
    Back-to-origin address configuration when the origin server is a private bucket.
    sourceEndpoint GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpoint
    Back-to-origin address configuration when the origin server is a private bucket.
    source_endpoint GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpoint
    Back-to-origin address configuration when the origin server is a private bucket.
    sourceEndpoint Property Map
    Back-to-origin address configuration when the origin server is a private bucket.

    GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpoint

    Followers List<Volcengine.GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointFollower>
    Backup private origin node list.
    Primaries List<Volcengine.GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointPrimary>
    Origin address for requests. Supports up to 5 origin fetch addresses. Required when the origin is a private bucket.
    Followers []GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointFollower
    Backup private origin node list.
    Primaries []GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointPrimary
    Origin address for requests. Supports up to 5 origin fetch addresses. Required when the origin is a private bucket.
    followers list(object)
    Backup private origin node list.
    primaries list(object)
    Origin address for requests. Supports up to 5 origin fetch addresses. Required when the origin is a private bucket.
    followers List<GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointFollower>
    Backup private origin node list.
    primaries List<GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointPrimary>
    Origin address for requests. Supports up to 5 origin fetch addresses. Required when the origin is a private bucket.
    followers GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointFollower[]
    Backup private origin node list.
    primaries GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointPrimary[]
    Origin address for requests. Supports up to 5 origin fetch addresses. Required when the origin is a private bucket.
    followers Sequence[GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointFollower]
    Backup private origin node list.
    primaries Sequence[GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointPrimary]
    Origin address for requests. Supports up to 5 origin fetch addresses. Required when the origin is a private bucket.
    followers List<Property Map>
    Backup private origin node list.
    primaries List<Property Map>
    Origin address for requests. Supports up to 5 origin fetch addresses. Required when the origin is a private bucket.

    GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointFollower

    BucketName string
    Name of the origin fetch bucket. Required when the origin is a private bucket.
    CredentialProvider Volcengine.GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointFollowerCredentialProvider
    Private back-to-origin authentication method. Required when the origin server is a private bucket.
    Endpoint string
    Access domain name of the origin service provider, excluding bucket name, maximum length 255. Required for private buckets.
    BucketName string
    Name of the origin fetch bucket. Required when the origin is a private bucket.
    CredentialProvider GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointFollowerCredentialProvider
    Private back-to-origin authentication method. Required when the origin server is a private bucket.
    Endpoint string
    Access domain name of the origin service provider, excluding bucket name, maximum length 255. Required for private buckets.
    bucket_name string
    Name of the origin fetch bucket. Required when the origin is a private bucket.
    credential_provider object
    Private back-to-origin authentication method. Required when the origin server is a private bucket.
    endpoint string
    Access domain name of the origin service provider, excluding bucket name, maximum length 255. Required for private buckets.
    bucketName String
    Name of the origin fetch bucket. Required when the origin is a private bucket.
    credentialProvider GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointFollowerCredentialProvider
    Private back-to-origin authentication method. Required when the origin server is a private bucket.
    endpoint String
    Access domain name of the origin service provider, excluding bucket name, maximum length 255. Required for private buckets.
    bucketName string
    Name of the origin fetch bucket. Required when the origin is a private bucket.
    credentialProvider GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointFollowerCredentialProvider
    Private back-to-origin authentication method. Required when the origin server is a private bucket.
    endpoint string
    Access domain name of the origin service provider, excluding bucket name, maximum length 255. Required for private buckets.
    bucket_name str
    Name of the origin fetch bucket. Required when the origin is a private bucket.
    credential_provider GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointFollowerCredentialProvider
    Private back-to-origin authentication method. Required when the origin server is a private bucket.
    endpoint str
    Access domain name of the origin service provider, excluding bucket name, maximum length 255. Required for private buckets.
    bucketName String
    Name of the origin fetch bucket. Required when the origin is a private bucket.
    credentialProvider Property Map
    Private back-to-origin authentication method. Required when the origin server is a private bucket.
    endpoint String
    Access domain name of the origin service provider, excluding bucket name, maximum length 255. Required for private buckets.

    GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointFollowerCredentialProvider

    Region string
    Region where the origin fetch bucket is located. Required when using AK/SK authentication.
    Role string
    Name of AssumeRole. Only when fetching from a private TOS bucket can AssumeRole be used for authentication. Role authentication and AK/SK authentication are mutually exclusive and cannot be set simultaneously.
    StaticCredential Volcengine.GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointFollowerCredentialProviderStaticCredential
    Authenticate using AK/SK.
    Region string
    Region where the origin fetch bucket is located. Required when using AK/SK authentication.
    Role string
    Name of AssumeRole. Only when fetching from a private TOS bucket can AssumeRole be used for authentication. Role authentication and AK/SK authentication are mutually exclusive and cannot be set simultaneously.
    StaticCredential GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointFollowerCredentialProviderStaticCredential
    Authenticate using AK/SK.
    region string
    Region where the origin fetch bucket is located. Required when using AK/SK authentication.
    role string
    Name of AssumeRole. Only when fetching from a private TOS bucket can AssumeRole be used for authentication. Role authentication and AK/SK authentication are mutually exclusive and cannot be set simultaneously.
    static_credential object
    Authenticate using AK/SK.
    region String
    Region where the origin fetch bucket is located. Required when using AK/SK authentication.
    role String
    Name of AssumeRole. Only when fetching from a private TOS bucket can AssumeRole be used for authentication. Role authentication and AK/SK authentication are mutually exclusive and cannot be set simultaneously.
    staticCredential GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointFollowerCredentialProviderStaticCredential
    Authenticate using AK/SK.
    region string
    Region where the origin fetch bucket is located. Required when using AK/SK authentication.
    role string
    Name of AssumeRole. Only when fetching from a private TOS bucket can AssumeRole be used for authentication. Role authentication and AK/SK authentication are mutually exclusive and cannot be set simultaneously.
    staticCredential GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointFollowerCredentialProviderStaticCredential
    Authenticate using AK/SK.
    region str
    Region where the origin fetch bucket is located. Required when using AK/SK authentication.
    role str
    Name of AssumeRole. Only when fetching from a private TOS bucket can AssumeRole be used for authentication. Role authentication and AK/SK authentication are mutually exclusive and cannot be set simultaneously.
    static_credential GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointFollowerCredentialProviderStaticCredential
    Authenticate using AK/SK.
    region String
    Region where the origin fetch bucket is located. Required when using AK/SK authentication.
    role String
    Name of AssumeRole. Only when fetching from a private TOS bucket can AssumeRole be used for authentication. Role authentication and AK/SK authentication are mutually exclusive and cannot be set simultaneously.
    staticCredential Property Map
    Authenticate using AK/SK.

    GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointFollowerCredentialProviderStaticCredential

    Ak string
    AccessKey ID of the origin bucket. Required when using AK/SK authentication.
    Sk string
    SecretKey for the back-to-origin bucket. Required when using AK/SK authentication.
    SkEncryptType string
    Encryption method used for SecretKey. Values: Empty: SecretKey is in plaintext. After receiving the SecretKey, the server will encrypt and store it. AES256: SecretKey has been encrypted using the AES256 algorithm on the server side. After receiving the SecretKey, the server will parse and encrypt it for storage. Note: When a back-to-origin rule is created for the first time, the SecretKey is encrypted with AES256. If you modify the back-to-origin rule without changing the SecretKey parameter, you must first decrypt the SecretKey and then re-encrypt it for storage. Therefore, when calling the PutBucketMirrorBack API to modify the back-to-origin rule and only changing other parameters (not the SecretKey), you can set SKEncryptType to AES256.
    StorageVendor string
    Origin service provider. Values: BOS: Baidu Cloud. S3: Other cloud providers using the S3 storage protocol.
    Ak string
    AccessKey ID of the origin bucket. Required when using AK/SK authentication.
    Sk string
    SecretKey for the back-to-origin bucket. Required when using AK/SK authentication.
    SkEncryptType string
    Encryption method used for SecretKey. Values: Empty: SecretKey is in plaintext. After receiving the SecretKey, the server will encrypt and store it. AES256: SecretKey has been encrypted using the AES256 algorithm on the server side. After receiving the SecretKey, the server will parse and encrypt it for storage. Note: When a back-to-origin rule is created for the first time, the SecretKey is encrypted with AES256. If you modify the back-to-origin rule without changing the SecretKey parameter, you must first decrypt the SecretKey and then re-encrypt it for storage. Therefore, when calling the PutBucketMirrorBack API to modify the back-to-origin rule and only changing other parameters (not the SecretKey), you can set SKEncryptType to AES256.
    StorageVendor string
    Origin service provider. Values: BOS: Baidu Cloud. S3: Other cloud providers using the S3 storage protocol.
    ak string
    AccessKey ID of the origin bucket. Required when using AK/SK authentication.
    sk string
    SecretKey for the back-to-origin bucket. Required when using AK/SK authentication.
    sk_encrypt_type string
    Encryption method used for SecretKey. Values: Empty: SecretKey is in plaintext. After receiving the SecretKey, the server will encrypt and store it. AES256: SecretKey has been encrypted using the AES256 algorithm on the server side. After receiving the SecretKey, the server will parse and encrypt it for storage. Note: When a back-to-origin rule is created for the first time, the SecretKey is encrypted with AES256. If you modify the back-to-origin rule without changing the SecretKey parameter, you must first decrypt the SecretKey and then re-encrypt it for storage. Therefore, when calling the PutBucketMirrorBack API to modify the back-to-origin rule and only changing other parameters (not the SecretKey), you can set SKEncryptType to AES256.
    storage_vendor string
    Origin service provider. Values: BOS: Baidu Cloud. S3: Other cloud providers using the S3 storage protocol.
    ak String
    AccessKey ID of the origin bucket. Required when using AK/SK authentication.
    sk String
    SecretKey for the back-to-origin bucket. Required when using AK/SK authentication.
    skEncryptType String
    Encryption method used for SecretKey. Values: Empty: SecretKey is in plaintext. After receiving the SecretKey, the server will encrypt and store it. AES256: SecretKey has been encrypted using the AES256 algorithm on the server side. After receiving the SecretKey, the server will parse and encrypt it for storage. Note: When a back-to-origin rule is created for the first time, the SecretKey is encrypted with AES256. If you modify the back-to-origin rule without changing the SecretKey parameter, you must first decrypt the SecretKey and then re-encrypt it for storage. Therefore, when calling the PutBucketMirrorBack API to modify the back-to-origin rule and only changing other parameters (not the SecretKey), you can set SKEncryptType to AES256.
    storageVendor String
    Origin service provider. Values: BOS: Baidu Cloud. S3: Other cloud providers using the S3 storage protocol.
    ak string
    AccessKey ID of the origin bucket. Required when using AK/SK authentication.
    sk string
    SecretKey for the back-to-origin bucket. Required when using AK/SK authentication.
    skEncryptType string
    Encryption method used for SecretKey. Values: Empty: SecretKey is in plaintext. After receiving the SecretKey, the server will encrypt and store it. AES256: SecretKey has been encrypted using the AES256 algorithm on the server side. After receiving the SecretKey, the server will parse and encrypt it for storage. Note: When a back-to-origin rule is created for the first time, the SecretKey is encrypted with AES256. If you modify the back-to-origin rule without changing the SecretKey parameter, you must first decrypt the SecretKey and then re-encrypt it for storage. Therefore, when calling the PutBucketMirrorBack API to modify the back-to-origin rule and only changing other parameters (not the SecretKey), you can set SKEncryptType to AES256.
    storageVendor string
    Origin service provider. Values: BOS: Baidu Cloud. S3: Other cloud providers using the S3 storage protocol.
    ak str
    AccessKey ID of the origin bucket. Required when using AK/SK authentication.
    sk str
    SecretKey for the back-to-origin bucket. Required when using AK/SK authentication.
    sk_encrypt_type str
    Encryption method used for SecretKey. Values: Empty: SecretKey is in plaintext. After receiving the SecretKey, the server will encrypt and store it. AES256: SecretKey has been encrypted using the AES256 algorithm on the server side. After receiving the SecretKey, the server will parse and encrypt it for storage. Note: When a back-to-origin rule is created for the first time, the SecretKey is encrypted with AES256. If you modify the back-to-origin rule without changing the SecretKey parameter, you must first decrypt the SecretKey and then re-encrypt it for storage. Therefore, when calling the PutBucketMirrorBack API to modify the back-to-origin rule and only changing other parameters (not the SecretKey), you can set SKEncryptType to AES256.
    storage_vendor str
    Origin service provider. Values: BOS: Baidu Cloud. S3: Other cloud providers using the S3 storage protocol.
    ak String
    AccessKey ID of the origin bucket. Required when using AK/SK authentication.
    sk String
    SecretKey for the back-to-origin bucket. Required when using AK/SK authentication.
    skEncryptType String
    Encryption method used for SecretKey. Values: Empty: SecretKey is in plaintext. After receiving the SecretKey, the server will encrypt and store it. AES256: SecretKey has been encrypted using the AES256 algorithm on the server side. After receiving the SecretKey, the server will parse and encrypt it for storage. Note: When a back-to-origin rule is created for the first time, the SecretKey is encrypted with AES256. If you modify the back-to-origin rule without changing the SecretKey parameter, you must first decrypt the SecretKey and then re-encrypt it for storage. Therefore, when calling the PutBucketMirrorBack API to modify the back-to-origin rule and only changing other parameters (not the SecretKey), you can set SKEncryptType to AES256.
    storageVendor String
    Origin service provider. Values: BOS: Baidu Cloud. S3: Other cloud providers using the S3 storage protocol.

    GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointPrimary

    BucketName string
    Name of the origin fetch bucket. Required when the origin is a private bucket.
    CredentialProvider Volcengine.GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointPrimaryCredentialProvider
    Private back-to-origin authentication method. Required when the origin server is a private bucket.
    Endpoint string
    Access domain name of the origin service provider, excluding bucket name, maximum length 255. Required for private buckets.
    BucketName string
    Name of the origin fetch bucket. Required when the origin is a private bucket.
    CredentialProvider GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointPrimaryCredentialProvider
    Private back-to-origin authentication method. Required when the origin server is a private bucket.
    Endpoint string
    Access domain name of the origin service provider, excluding bucket name, maximum length 255. Required for private buckets.
    bucket_name string
    Name of the origin fetch bucket. Required when the origin is a private bucket.
    credential_provider object
    Private back-to-origin authentication method. Required when the origin server is a private bucket.
    endpoint string
    Access domain name of the origin service provider, excluding bucket name, maximum length 255. Required for private buckets.
    bucketName String
    Name of the origin fetch bucket. Required when the origin is a private bucket.
    credentialProvider GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointPrimaryCredentialProvider
    Private back-to-origin authentication method. Required when the origin server is a private bucket.
    endpoint String
    Access domain name of the origin service provider, excluding bucket name, maximum length 255. Required for private buckets.
    bucketName string
    Name of the origin fetch bucket. Required when the origin is a private bucket.
    credentialProvider GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointPrimaryCredentialProvider
    Private back-to-origin authentication method. Required when the origin server is a private bucket.
    endpoint string
    Access domain name of the origin service provider, excluding bucket name, maximum length 255. Required for private buckets.
    bucket_name str
    Name of the origin fetch bucket. Required when the origin is a private bucket.
    credential_provider GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointPrimaryCredentialProvider
    Private back-to-origin authentication method. Required when the origin server is a private bucket.
    endpoint str
    Access domain name of the origin service provider, excluding bucket name, maximum length 255. Required for private buckets.
    bucketName String
    Name of the origin fetch bucket. Required when the origin is a private bucket.
    credentialProvider Property Map
    Private back-to-origin authentication method. Required when the origin server is a private bucket.
    endpoint String
    Access domain name of the origin service provider, excluding bucket name, maximum length 255. Required for private buckets.

    GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointPrimaryCredentialProvider

    Region string
    Region where the origin fetch bucket is located. Required when using AK/SK authentication.
    Role string
    Name of AssumeRole. Only when fetching from a private TOS bucket can AssumeRole be used for authentication. Role authentication and AK/SK authentication are mutually exclusive and cannot be set simultaneously.
    StaticCredential Volcengine.GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointPrimaryCredentialProviderStaticCredential
    Authenticate using AK/SK.
    Region string
    Region where the origin fetch bucket is located. Required when using AK/SK authentication.
    Role string
    Name of AssumeRole. Only when fetching from a private TOS bucket can AssumeRole be used for authentication. Role authentication and AK/SK authentication are mutually exclusive and cannot be set simultaneously.
    StaticCredential GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointPrimaryCredentialProviderStaticCredential
    Authenticate using AK/SK.
    region string
    Region where the origin fetch bucket is located. Required when using AK/SK authentication.
    role string
    Name of AssumeRole. Only when fetching from a private TOS bucket can AssumeRole be used for authentication. Role authentication and AK/SK authentication are mutually exclusive and cannot be set simultaneously.
    static_credential object
    Authenticate using AK/SK.
    region String
    Region where the origin fetch bucket is located. Required when using AK/SK authentication.
    role String
    Name of AssumeRole. Only when fetching from a private TOS bucket can AssumeRole be used for authentication. Role authentication and AK/SK authentication are mutually exclusive and cannot be set simultaneously.
    staticCredential GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointPrimaryCredentialProviderStaticCredential
    Authenticate using AK/SK.
    region string
    Region where the origin fetch bucket is located. Required when using AK/SK authentication.
    role string
    Name of AssumeRole. Only when fetching from a private TOS bucket can AssumeRole be used for authentication. Role authentication and AK/SK authentication are mutually exclusive and cannot be set simultaneously.
    staticCredential GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointPrimaryCredentialProviderStaticCredential
    Authenticate using AK/SK.
    region str
    Region where the origin fetch bucket is located. Required when using AK/SK authentication.
    role str
    Name of AssumeRole. Only when fetching from a private TOS bucket can AssumeRole be used for authentication. Role authentication and AK/SK authentication are mutually exclusive and cannot be set simultaneously.
    static_credential GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointPrimaryCredentialProviderStaticCredential
    Authenticate using AK/SK.
    region String
    Region where the origin fetch bucket is located. Required when using AK/SK authentication.
    role String
    Name of AssumeRole. Only when fetching from a private TOS bucket can AssumeRole be used for authentication. Role authentication and AK/SK authentication are mutually exclusive and cannot be set simultaneously.
    staticCredential Property Map
    Authenticate using AK/SK.

    GetBucketMirrorBackRuleRedirectPrivateSourceSourceEndpointPrimaryCredentialProviderStaticCredential

    Ak string
    AccessKey ID of the origin bucket. Required when using AK/SK authentication.
    Sk string
    SecretKey for the back-to-origin bucket. Required when using AK/SK authentication.
    SkEncryptType string
    Encryption method used for SecretKey. Values: Empty: SecretKey is in plaintext. After receiving the SecretKey, the server will encrypt and store it. AES256: SecretKey has been encrypted using the AES256 algorithm on the server side. After receiving the SecretKey, the server will parse and encrypt it for storage. Note: When a back-to-origin rule is created for the first time, the SecretKey is encrypted with AES256. If you modify the back-to-origin rule without changing the SecretKey parameter, you must first decrypt the SecretKey and then re-encrypt it for storage. Therefore, when calling the PutBucketMirrorBack API to modify the back-to-origin rule and only changing other parameters (not the SecretKey), you can set SKEncryptType to AES256.
    StorageVendor string
    Origin service provider. Values: BOS: Baidu Cloud. S3: Other cloud providers using the S3 storage protocol.
    Ak string
    AccessKey ID of the origin bucket. Required when using AK/SK authentication.
    Sk string
    SecretKey for the back-to-origin bucket. Required when using AK/SK authentication.
    SkEncryptType string
    Encryption method used for SecretKey. Values: Empty: SecretKey is in plaintext. After receiving the SecretKey, the server will encrypt and store it. AES256: SecretKey has been encrypted using the AES256 algorithm on the server side. After receiving the SecretKey, the server will parse and encrypt it for storage. Note: When a back-to-origin rule is created for the first time, the SecretKey is encrypted with AES256. If you modify the back-to-origin rule without changing the SecretKey parameter, you must first decrypt the SecretKey and then re-encrypt it for storage. Therefore, when calling the PutBucketMirrorBack API to modify the back-to-origin rule and only changing other parameters (not the SecretKey), you can set SKEncryptType to AES256.
    StorageVendor string
    Origin service provider. Values: BOS: Baidu Cloud. S3: Other cloud providers using the S3 storage protocol.
    ak string
    AccessKey ID of the origin bucket. Required when using AK/SK authentication.
    sk string
    SecretKey for the back-to-origin bucket. Required when using AK/SK authentication.
    sk_encrypt_type string
    Encryption method used for SecretKey. Values: Empty: SecretKey is in plaintext. After receiving the SecretKey, the server will encrypt and store it. AES256: SecretKey has been encrypted using the AES256 algorithm on the server side. After receiving the SecretKey, the server will parse and encrypt it for storage. Note: When a back-to-origin rule is created for the first time, the SecretKey is encrypted with AES256. If you modify the back-to-origin rule without changing the SecretKey parameter, you must first decrypt the SecretKey and then re-encrypt it for storage. Therefore, when calling the PutBucketMirrorBack API to modify the back-to-origin rule and only changing other parameters (not the SecretKey), you can set SKEncryptType to AES256.
    storage_vendor string
    Origin service provider. Values: BOS: Baidu Cloud. S3: Other cloud providers using the S3 storage protocol.
    ak String
    AccessKey ID of the origin bucket. Required when using AK/SK authentication.
    sk String
    SecretKey for the back-to-origin bucket. Required when using AK/SK authentication.
    skEncryptType String
    Encryption method used for SecretKey. Values: Empty: SecretKey is in plaintext. After receiving the SecretKey, the server will encrypt and store it. AES256: SecretKey has been encrypted using the AES256 algorithm on the server side. After receiving the SecretKey, the server will parse and encrypt it for storage. Note: When a back-to-origin rule is created for the first time, the SecretKey is encrypted with AES256. If you modify the back-to-origin rule without changing the SecretKey parameter, you must first decrypt the SecretKey and then re-encrypt it for storage. Therefore, when calling the PutBucketMirrorBack API to modify the back-to-origin rule and only changing other parameters (not the SecretKey), you can set SKEncryptType to AES256.
    storageVendor String
    Origin service provider. Values: BOS: Baidu Cloud. S3: Other cloud providers using the S3 storage protocol.
    ak string
    AccessKey ID of the origin bucket. Required when using AK/SK authentication.
    sk string
    SecretKey for the back-to-origin bucket. Required when using AK/SK authentication.
    skEncryptType string
    Encryption method used for SecretKey. Values: Empty: SecretKey is in plaintext. After receiving the SecretKey, the server will encrypt and store it. AES256: SecretKey has been encrypted using the AES256 algorithm on the server side. After receiving the SecretKey, the server will parse and encrypt it for storage. Note: When a back-to-origin rule is created for the first time, the SecretKey is encrypted with AES256. If you modify the back-to-origin rule without changing the SecretKey parameter, you must first decrypt the SecretKey and then re-encrypt it for storage. Therefore, when calling the PutBucketMirrorBack API to modify the back-to-origin rule and only changing other parameters (not the SecretKey), you can set SKEncryptType to AES256.
    storageVendor string
    Origin service provider. Values: BOS: Baidu Cloud. S3: Other cloud providers using the S3 storage protocol.
    ak str
    AccessKey ID of the origin bucket. Required when using AK/SK authentication.
    sk str
    SecretKey for the back-to-origin bucket. Required when using AK/SK authentication.
    sk_encrypt_type str
    Encryption method used for SecretKey. Values: Empty: SecretKey is in plaintext. After receiving the SecretKey, the server will encrypt and store it. AES256: SecretKey has been encrypted using the AES256 algorithm on the server side. After receiving the SecretKey, the server will parse and encrypt it for storage. Note: When a back-to-origin rule is created for the first time, the SecretKey is encrypted with AES256. If you modify the back-to-origin rule without changing the SecretKey parameter, you must first decrypt the SecretKey and then re-encrypt it for storage. Therefore, when calling the PutBucketMirrorBack API to modify the back-to-origin rule and only changing other parameters (not the SecretKey), you can set SKEncryptType to AES256.
    storage_vendor str
    Origin service provider. Values: BOS: Baidu Cloud. S3: Other cloud providers using the S3 storage protocol.
    ak String
    AccessKey ID of the origin bucket. Required when using AK/SK authentication.
    sk String
    SecretKey for the back-to-origin bucket. Required when using AK/SK authentication.
    skEncryptType String
    Encryption method used for SecretKey. Values: Empty: SecretKey is in plaintext. After receiving the SecretKey, the server will encrypt and store it. AES256: SecretKey has been encrypted using the AES256 algorithm on the server side. After receiving the SecretKey, the server will parse and encrypt it for storage. Note: When a back-to-origin rule is created for the first time, the SecretKey is encrypted with AES256. If you modify the back-to-origin rule without changing the SecretKey parameter, you must first decrypt the SecretKey and then re-encrypt it for storage. Therefore, when calling the PutBucketMirrorBack API to modify the back-to-origin rule and only changing other parameters (not the SecretKey), you can set SKEncryptType to AES256.
    storageVendor String
    Origin service provider. Values: BOS: Baidu Cloud. S3: Other cloud providers using the S3 storage protocol.

    GetBucketMirrorBackRuleRedirectPublicSource

    FixedEndpoint bool
    Whether to always use the configured origin address.
    SourceEndpoint Volcengine.GetBucketMirrorBackRuleRedirectPublicSourceSourceEndpoint
    Publicly accessible origin address.
    FixedEndpoint bool
    Whether to always use the configured origin address.
    SourceEndpoint GetBucketMirrorBackRuleRedirectPublicSourceSourceEndpoint
    Publicly accessible origin address.
    fixed_endpoint bool
    Whether to always use the configured origin address.
    source_endpoint object
    Publicly accessible origin address.
    fixedEndpoint Boolean
    Whether to always use the configured origin address.
    sourceEndpoint GetBucketMirrorBackRuleRedirectPublicSourceSourceEndpoint
    Publicly accessible origin address.
    fixedEndpoint boolean
    Whether to always use the configured origin address.
    sourceEndpoint GetBucketMirrorBackRuleRedirectPublicSourceSourceEndpoint
    Publicly accessible origin address.
    fixed_endpoint bool
    Whether to always use the configured origin address.
    source_endpoint GetBucketMirrorBackRuleRedirectPublicSourceSourceEndpoint
    Publicly accessible origin address.
    fixedEndpoint Boolean
    Whether to always use the configured origin address.
    sourceEndpoint Property Map
    Publicly accessible origin address.

    GetBucketMirrorBackRuleRedirectPublicSourceSourceEndpoint

    Followers List<string>
    Origin address. Limit: Maximum length 255, supports up to 5 origin fetch addresses. When all origin fetches fail in Primary, an origin is selected from this configuration.
    Primaries List<string>
    Origin address. Limit: Maximum length 255, supports up to 5 origin fetch addresses.
    Followers []string
    Origin address. Limit: Maximum length 255, supports up to 5 origin fetch addresses. When all origin fetches fail in Primary, an origin is selected from this configuration.
    Primaries []string
    Origin address. Limit: Maximum length 255, supports up to 5 origin fetch addresses.
    followers list(string)
    Origin address. Limit: Maximum length 255, supports up to 5 origin fetch addresses. When all origin fetches fail in Primary, an origin is selected from this configuration.
    primaries list(string)
    Origin address. Limit: Maximum length 255, supports up to 5 origin fetch addresses.
    followers List<String>
    Origin address. Limit: Maximum length 255, supports up to 5 origin fetch addresses. When all origin fetches fail in Primary, an origin is selected from this configuration.
    primaries List<String>
    Origin address. Limit: Maximum length 255, supports up to 5 origin fetch addresses.
    followers string[]
    Origin address. Limit: Maximum length 255, supports up to 5 origin fetch addresses. When all origin fetches fail in Primary, an origin is selected from this configuration.
    primaries string[]
    Origin address. Limit: Maximum length 255, supports up to 5 origin fetch addresses.
    followers Sequence[str]
    Origin address. Limit: Maximum length 255, supports up to 5 origin fetch addresses. When all origin fetches fail in Primary, an origin is selected from this configuration.
    primaries Sequence[str]
    Origin address. Limit: Maximum length 255, supports up to 5 origin fetch addresses.
    followers List<String>
    Origin address. Limit: Maximum length 255, supports up to 5 origin fetch addresses. When all origin fetches fail in Primary, an origin is selected from this configuration.
    primaries List<String>
    Origin address. Limit: Maximum length 255, supports up to 5 origin fetch addresses.

    GetBucketMirrorBackRuleRedirectTransform

    ReplaceKeyPrefix Volcengine.GetBucketMirrorBackRuleRedirectTransformReplaceKeyPrefix
    Object name prefix to be replaced when requesting the origin.
    WithKeyPrefix string
    Prefix added before the object name when requesting the origin server. Limit: up to 512 characters.
    WithKeySuffix string
    Prefix added before the object name when requesting the origin server. Limit: up to 512 characters.
    ReplaceKeyPrefix GetBucketMirrorBackRuleRedirectTransformReplaceKeyPrefix
    Object name prefix to be replaced when requesting the origin.
    WithKeyPrefix string
    Prefix added before the object name when requesting the origin server. Limit: up to 512 characters.
    WithKeySuffix string
    Prefix added before the object name when requesting the origin server. Limit: up to 512 characters.
    replace_key_prefix object
    Object name prefix to be replaced when requesting the origin.
    with_key_prefix string
    Prefix added before the object name when requesting the origin server. Limit: up to 512 characters.
    with_key_suffix string
    Prefix added before the object name when requesting the origin server. Limit: up to 512 characters.
    replaceKeyPrefix GetBucketMirrorBackRuleRedirectTransformReplaceKeyPrefix
    Object name prefix to be replaced when requesting the origin.
    withKeyPrefix String
    Prefix added before the object name when requesting the origin server. Limit: up to 512 characters.
    withKeySuffix String
    Prefix added before the object name when requesting the origin server. Limit: up to 512 characters.
    replaceKeyPrefix GetBucketMirrorBackRuleRedirectTransformReplaceKeyPrefix
    Object name prefix to be replaced when requesting the origin.
    withKeyPrefix string
    Prefix added before the object name when requesting the origin server. Limit: up to 512 characters.
    withKeySuffix string
    Prefix added before the object name when requesting the origin server. Limit: up to 512 characters.
    replace_key_prefix GetBucketMirrorBackRuleRedirectTransformReplaceKeyPrefix
    Object name prefix to be replaced when requesting the origin.
    with_key_prefix str
    Prefix added before the object name when requesting the origin server. Limit: up to 512 characters.
    with_key_suffix str
    Prefix added before the object name when requesting the origin server. Limit: up to 512 characters.
    replaceKeyPrefix Property Map
    Object name prefix to be replaced when requesting the origin.
    withKeyPrefix String
    Prefix added before the object name when requesting the origin server. Limit: up to 512 characters.
    withKeySuffix String
    Prefix added before the object name when requesting the origin server. Limit: up to 512 characters.

    GetBucketMirrorBackRuleRedirectTransformReplaceKeyPrefix

    KeyPrefix string
    Object name prefix to be replaced when requesting the origin. Limit: Supports up to 512 characters.
    ReplaceWith string
    Value of the object name prefix after replacement when requesting the origin. Limit: Supports up to 512 characters.
    KeyPrefix string
    Object name prefix to be replaced when requesting the origin. Limit: Supports up to 512 characters.
    ReplaceWith string
    Value of the object name prefix after replacement when requesting the origin. Limit: Supports up to 512 characters.
    key_prefix string
    Object name prefix to be replaced when requesting the origin. Limit: Supports up to 512 characters.
    replace_with string
    Value of the object name prefix after replacement when requesting the origin. Limit: Supports up to 512 characters.
    keyPrefix String
    Object name prefix to be replaced when requesting the origin. Limit: Supports up to 512 characters.
    replaceWith String
    Value of the object name prefix after replacement when requesting the origin. Limit: Supports up to 512 characters.
    keyPrefix string
    Object name prefix to be replaced when requesting the origin. Limit: Supports up to 512 characters.
    replaceWith string
    Value of the object name prefix after replacement when requesting the origin. Limit: Supports up to 512 characters.
    key_prefix str
    Object name prefix to be replaced when requesting the origin. Limit: Supports up to 512 characters.
    replace_with str
    Value of the object name prefix after replacement when requesting the origin. Limit: Supports up to 512 characters.
    keyPrefix String
    Object name prefix to be replaced when requesting the origin. Limit: Supports up to 512 characters.
    replaceWith String
    Value of the object name prefix after replacement when requesting the origin. Limit: Supports up to 512 characters.

    Package Details

    Repository
    volcenginecc volcengine/pulumi-volcenginecc
    License
    MPL-2.0
    Notes
    This Pulumi package is based on the volcenginecc Terraform Provider.
    volcenginecc logo
    Viewing docs for volcenginecc v0.0.50
    published on Monday, Jul 20, 2026 by Volcengine

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial